%define name ipac
%define version 0.99
%define release 1
Name:		%{name}
Version:	%{version}
Release:	1
Vendor:		Moritz Both <moritz@daneben.de>
URL:		http://www.comlink.apc.org/~moritz/ipac.html
Source:         %{name}-%{version}.tar.gz
Source1:	rc.d.tar.gz
Patch0:		ipac-0.98.patch
Group:		Applications/Networking
Copyright:	GPL
Summary:	ipac - summarize and nicely output the IP accounting data.
BuildRoot:	/var/tmp/%{name}-%{version}-root
Requires:	ipfwadm

%description
ipac is a package which is designed to summarize and nicely
output the IP accounting data. ipac runs on top of the ipfwadm tool

ipac consists of three scripts (sh and perl):
  - ipacset reads a config file and sets up ip accounting
  for the kernel using ipfwadm
  - fetchipac, executed from cron once in a while, reads
  the current ip accounting data assembled by the kernel
  and writes it to a new file; the file also gets information
  about which filter should filter what
  - ipacsum summarizes the data from a set of files and, optionally,
  replaces these files by one.

%changelog
* Thu Aug 06 1998 Arkadiusz Mikiewicz <misiek@debian.eu.org>
- updated to 0.99

* Thu Jul 16 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- initial package release

%prep
%setup
cp ipac.conf ipac.conf.orig
%patch0 -p1

%build
mkdir rc.d
tar -C rc.d -xzf $RPM_SOURCE_DIR/rc.d.tar.gz

if [ -e rc.d/rc.d.tar ]; then
        cd rc.d
        tar xf rc.d.tar
        cd ..
fi
make clean
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
mkdir -p $RPM_BUILD_ROOT/etc/cron.hourly
mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
mkdir -p $RPM_BUILD_ROOT/etc/cron.monthly
mkdir -p $RPM_BUILD_ROOT/var/log/ip-acct
cp -r rc.d $RPM_BUILD_ROOT/etc
cp fetchipac $RPM_BUILD_ROOT/usr/sbin
cp ipacset $RPM_BUILD_ROOT/usr/sbin
cp ipacsum $RPM_BUILD_ROOT/usr/sbin
cp ipac.conf $RPM_BUILD_ROOT/etc
echo "/usr/sbin/fetchipac" > $RPM_BUILD_ROOT/etc/cron.hourly/fetchipac-cron
echo "/usr/sbin/ipacsum -r -t \"the day 7 days ago\" >/dev/null" > $RPM_BUILD_ROOT/etc/cron.daily/ipacsum-cron
echo "/usr/sbin/ipacsum -r -t \"the week 4 weeks ago\" >/dev/null" > $RPM_BUILD_ROOT/etc/cron.weekly/ipacsum-cron
echo "/usr/sbin/ipacsum -r -t \"the month 6 months ago\" >/dev/null" > $RPM_BUILD_ROOT/etc/cron.monthly/ipacsum-cron

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%doc CHANGES COPYING README UPDATE ipac.conf.orig
%defattr (755, root, root)
/usr/sbin/fetchipac
/usr/sbin/ipacset
/usr/sbin/ipacsum
/etc/cron.hourly/fetchipac-cron
/etc/cron.daily/ipacsum-cron
/etc/cron.monthly/ipacsum-cron
/etc/cron.weekly/ipacsum-cron
/etc/rc.d/init.d/ipac
/etc/rc.d/rc0.d/K67ipac
/etc/rc.d/rc1.d/K67ipac
/etc/rc.d/rc2.d/S35ipac
/etc/rc.d/rc3.d/S35ipac
/etc/rc.d/rc4.d/S35ipac
/etc/rc.d/rc5.d/S35ipac
/etc/rc.d/rc6.d/K67ipac
%dir /var/log/ip-acct
%attr (644, root, root) %config /etc/ipac.conf
